Package skyview.survey

# Interface Survey

All Superinterfaces:
  `Component`, `Serializable`

All Known Implementing Classes:
  `UserSurvey`, `XMLSurvey`

public interface Survey extends Component
methods for describing and manipulating survey data

## Method Summary

Modifier and Type
Method
Description
`Image[]`
`getImages(Position pos, double size, double scale)`
Find a list of images that are within size of the given position.
`void`
`updateHeader(nom.tam.fits.Header fitsHeader)`
Update a FITS header for an image generated from this survey.
`void`
`updateSettings()`
Update the system settings with survey specific options.

### Methods inherited from interface skyview.Component

`getDescription, getName`

## Method Details

### getImages

Image[] getImages(Position pos, double size, double scale) throws Exception
Find a list of images that are within size of the given position.

Throws:
  `Exception`

### updateHeader

void updateHeader(nom.tam.fits.Header fitsHeader)
Update a FITS header for an image generated from this survey.

### updateSettings

void updateSettings()
Update the system settings with survey specific options. Normally these should not override settings that the user has already specified.